Bug 677631 - (CVE-2011-0447) CVE-2011-0447 rubygem-actionpack: CSRF flaws due improper validation of HTTP headers containing X-Requested-With header
CVE-2011-0447 rubygem-actionpack: CSRF flaws due improper validation of HTTP ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110208,reported=20110214,sou...
: Security
Depends On: 677628 677629
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-15 07:09 EST by Jan Lieskovsky
Modified: 2016-03-04 07:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-02-15 07:09:26 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-0447 to
the following vulnerability:

Ruby on Rails 2.1.x, 2.2.x, and 2.3.x before 2.3.11, and 3.x before
3.0.4, does not properly validate HTTP requests that contain an
X-Requested-With header, which makes it easier for remote attackers to
conduct cross-site request forgery (CSRF) attacks via forged (1) AJAX
or (2) API requests that leverage "combinations of browser plugins and
HTTP redirects," a related issue to CVE-2011-0696.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0447
[2] http://groups.google.com/group/rubyonrails-security/msg/c22ea1668c0d181c?dmode=source&output=gplain
[3] http://weblog.rubyonrails.org/2011/2/8/csrf-protection-bypass-in-ruby-on-rails

Upstream patch:
[4] http://weblog.rubyonrails.org/assets/2011/2/8/2-3-csrf.patch
    (against v2.3 series)
Comment 1 Jan Lieskovsky 2011-02-15 07:12:13 EST
This issue affects the versions of the rubygem-actionpack package,
as shipped with Fedora release of 13 and 14.

--

This issue affects the version of the rubygem-actionpack package,
as present within EPEL-5 repository.

Please schedule an update.
Comment 2 Jan Lieskovsky 2011-02-15 07:12:53 EST
Created rubygem-actionpack tracking bugs for this issue

Affects: fedora-all [bug 677628]
Affects: epel-5 [bug 677629]
Comment 3 Fedora Update System 2014-11-15 23:17:03 EST
rubygem-actionpack-2.3.18-1.el5, rubygem-activerecord-2.3.18-1.el5, rubygem-activesupport-2.3.18-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.